# Focalboard Plugin End User's Guide

The Focalboard plugin is a deliverable and task management solution to help teams achieve project milestones using a familiar kanban board structure.

This user guide is for anyone looking to use Focalboard to:
- Align work across the organization and drive milestone achievement such as project planning, execution, and task management.
- Keep everyone in your team and organization in the loop to stay on schedule with clearly defined tasks, owners, checklists, and deadlines.
- Increase transparency and keep all resources available including documents, images, and important hyperlinks.
- Track tasks for sprints and features in roadmap planning.

The following end user documentation is available:

- [Get started with board templates](get-started-with-board-templates.md)
- [Create a new board](create-new-board.md)
- [Link boards to Mattermost channels](link-boards-to-mattermost-channels.md)
- [Manage boards](manage-boards.md)
- [Work with cards](work-with-cards.md)
- [Work with board views](work-with-board-views.md)
- [Group, filter, and sort boards](group-filter-sort-boards.md)
- [Board metrics](board-metrics.md)
- [Share and collaborate](share-collaborate.md)
- [Import, export, and back up boards data](import-export-backup-data.md)
- [Manage plugin preferences](manage-plugin-preferences.md)
