# Get started with board templates

## What's a board?

A board is a collection of cards to help you manage your projects, organize tasks, and collaborate with your team all in one place. A board contains cards, which typically track tasks or topics, and views, which define how to display the cards, or a subset of them.

Boards can be displayed and filtered in different views such as kanban, table, calendar, and gallery views to help you visualize work items in the format that makes most sense to you.

## Start from a board template

To create a new board, we strongly recommend starting from a standard board template.

Board templates provide you with a predefined structure so that you can get started quickly. Each template has a different function, but can be customized to suit your use case. When you create a new board from the template picker, select each template’s name to preview it and make sure it suits your requirements. Alternatively, you can create your own board templates.

Select the plus icon at the top of the sidebar, then select **Create New Board** to open the template picker and select a template or a blank board.

Standard board templates include:

- **Content Calendar**: Plan and organize your content creation and publication schedule.
- **Company Goals & OKRs**: Plan your company goals and objectives more efficiently.
- **Competitive Analysis**: Track and stay ahead of the competition.
- **Meeting Agenda**: Use this template for recurring meetings. Queue up items, organize discussions, and plan what to revisit later.
- **Personal Goals**: Categorize and plan your personal goals.
- **Personal Tasks**: Organize your life and track your personal tasks.
- **Project Tasks**: Stay on top of your project tasks, track progress, and set priorities.
- **Roadmap**: Plan your roadmap and manage your releases more efficiently.
- **Sprint Planner**: Plan your sprints and releases more efficiently.
- **Team Retrospective**: Identify what worked well and what can be improved for the future.
- **User Research Sessions**: Manage and keep track of all your user research sessions.
- **Welcome to Boards!**: Onboarding template with guided tour points to help you quickly ramp up on Focalboard.

### Edit board templates

To open the template editor for a specific template, go to the template picker then hover over the custom template and select the pencil icon. Any changes made on the template editor will be automatically saved and visible to team members who have access to the template. If you don't see the pencil icon when hovering over the template, then you don't have the appropriate permissions to edit the template.

**Notes**:
- From v7.2 of the Focalboard plugin, only admins and editors of a custom template can edit the template.
- Prior to v7.2 of the plugin, any member of the channel workspace can edit a custom template in the channel. To limit access to the template, create or export the template to a private channel.
- Custom templates are fully editable, but standard templates cannot be edited or deleted.

## Create a template

To create a new board template select the plus icon at the top of the sidebar to open the template picker, select **Create New Board** and then select **+ New template**.

## Turn a board into a template

To turn an existing board into a template, hover over the board title in the sidebar. Select the options menu, then select **New template from board**.
