# Group, filter, and sort boards

Your boards can be grouped, filtered, and sorted into different views using a range of properties. This gives you a powerful way to track work from various perspectives. For example, easily find tasks assigned to you or a team member using the person or multi-person filters, and keep track of upcoming tasks with date filters.

## Group cards

You can group cards on your board if they utilize the **Select** or **Person** property.

Card grouping is only available in board and table views and you must have at least one **Select** or **Person** property on your board for grouping to work.

### Apply a group

To apply a group, select the **Group by** option at the top of the board, then select any available **Select** or **Person** property to group your cards by.

- In the boards view, cards are automatically grouped into columns by the values from the specified property.
- In the table view, grouped cards will appear in individual sections based on the values from the specified property. Select the arrow to the left of the group name to expand or collapse cards in the group.

### Hide and unhide groups

- To hide a group, select the options menu **(...)** to the right of any group name, then select **Hide**. Additionally, in table view only, you can hide empty groups by selecting the **Group by** option at the top of the board, then selecting **Hide empty groups**.
- To unhide a group, go to the hidden column section towards the right of a board view, select the group you want to unhide, then select **Show**. On table view, select the **Group by** option at the top of the board, then select **Show hidden groups**.

### Ungroup cards

To ungroup cards on table view, select the **Group by** option at the top of the board, then select **Ungroup** from the top of the menu. This will return your table to its default state. Cards can be ungrouped in table view only. Ungrouping is not possible on board view since groups are used to determine what to display.

## Filter cards

You can filter cards on your board if they utilize any of the following property types:

- Select
- Text
- Email
- Phone
- URL
- Date
- Person
- Multi-person
- Created time
- Created by
- Last updated time
- Last updated by

You must have at least one of the property types listed above on your board for filtering to work.

To use filters, you must have the above property types already added to your board. Go to **Filter > Add filter**, and select the property you wish to filter by. You can use the modifiers to get even more granular results.

### Add filters

To add a filter, select the **Filter** option at the top of the board, then select **+ Add filter**. To change the property to filter by, select the name of the first property, then select another property (if available) from the menu.

**Specify the filtering criteria**

- **Includes**: Display cards with any of the specified values.
- **Doesn’t include**: Display all cards without any of the specified values.
- **Is empty**: Display cards with no values assigned to a property.
- **Is not empty**: Display cards with any value assigned to a property.

To add another filtering layer, repeat the steps above with another property to refine your filtering results. Adding another layer will display cards that only match the criteria from the first layer and the second layer.

### Delete filters

To delete a filter, select the **Filter** option at the top of the board, then select **Delete** to the right of each filtering layer. Delete all filtering layers to completely remove filters from the board.

## Sort cards

Sort cards by the card name or by any property available on the card.

Sorting is only available in boards, table, and gallery views.

### Apply sorting

To apply a sort, select the **Sort** option at the top of the board, then select an option from the menu. The cards will be sorted in ascending order by default based on the selected option and the **Sort** menu will display an upward pointing arrow next to the selected option.

To change the sort order to descending order, select the same option again from the **Sort** menu. The cards will now be sorted in descending order and the menu will display a downward pointing arrow next to the selected option.

### Clear sorting

To clear a sort, select the **Sort** option at the top of the board, then select the **Manual** option from the top of the menu.
