# Work with board views

Views display your cards in a board, table, calendar, or gallery layout, optionally filtered and grouped by a property (e.g., priority, status, etc).

To add a new view to a board:

1. From the board header, select the menu next to the current view name.
2. Scroll down and select **+ Add view**.
3. select the new visualization you’d like to use.

The following board views are available.

## Board view

This is a kanban view where cards are grouped into columns. Column groups only work with the **Select** or **Person** properties and display all cards that share the same value from the specified property. The column names are editable, and any changes to the column names are also applied to the value from the property. Cards can be dragged between columns, which will automatically update the property’s assigned value on the card.

## Table view

Displays cards in a table format with rows and columns. Use this view to get an overview of all your project tasks. Easily view and compare the state of all properties across all cards without needing to open individual cards. Each column corresponds to a card property. You can edit cells directly or you can select **Open** to open the card view for that row.

## Gallery view

Displays cards in a gallery format, so you can manage and organize cards with image attachments. Gallery view displays a preview of the first image attached on the card. For cards with no image attachments, a preview of the first description block will be displayed instead.

## Calendar view

To use this view, cards need to have the **Date** property added.

If cards don’t have a custom **Date** property, they’ll be sorted and displayed by the card creation date (default). These cards can’t be moved around the board until a custom **Date** property is added.

If your cards do have a **Date** property and you’re not able to move them around, you may be displaying them by **Created Time** or **Last Updated Time**.

- To add a new card, select the **+** option in the top-left corner of the relevant date.
- To create a date range event, select a start date and then drag to the end date to create a card for that date range event.
- To add a date range to an existing card, hover over the side of the card to display the arrow and drag to the left or right to create a date range.
